| Home | Libraries | People | FAQ | More

## Struct template impl

boost::proto::_void::impl

## Synopsis

    // In header: <boost/proto/transform/arg.hpp>

    template<typename Expr, typename State, typename Data>
    struct impl :  proto::transform_impl< Expr, State, Data > {
      // types
      typedef void result_type;

      // public member functions
      void operator()(typename impl::expr_param, typename impl::state_param,
                      typename impl::data_param) const;
    };

## Description

### `impl` public member functions

1.     void operator()(typename impl::expr_param, typename impl::state_param,
                       typename impl::data_param) const;

   Does nothing.

   Throws: | Will not throw.